Subject: Re: bug#10144: 24.0.91; `pop-up-frames' with dedicated windows is broken: `C-x C-f'

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Nov 2011 14:40:04 -0500

>> making them pop up a new frame is not significantly better
>> than making them signal an error.
> I can't speak to the bugs you're referring to, but my experience with my own
> setup (see previous mail) is that I have never been surprised or had an
> unfortunate experience by the buffer being shown in another window/frame
> (instead of getting the Cannot switch error).

Under Windows, I'd expect those bugs to manifest themselves by having
a frame "flash" (because the find-file pops up a new frame which is
immediately destroyed by the save-window-excursion).
In other window managers, the behavior can be arbitrarily different
(e.g. it can prompt the user to place the new frame, not knowing that
it will be destroyed right away).

        Stefan